Cmake error when "Performing Test PASTIX_TEST_RUNS" in dolfin unstable build

Bug #894134 reported by Martin Sandve Alnæs
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Dorsal
Fix Released
High
Harish Narayanan

Bug Description

Trying to build latest fenics unstable with dorsal on our cluster bigblue using ubuntu 10.04, I get this:

-- Performing Test PASTIX_TEST_RUNS
CMake Error: The following variables are used in this project, but they are set to NOTFOUND.
Please set them or make sure they are set and tested correctly in the CMake files:
HWLOC_LIBRARY
    linked by target "cmTryCompileExec" in directory /home/martinal/opt/fenics/dorsal-unstable-src/dolfin/dorsal_build_dir/CMakeFiles/CMakeTmp

CMake Error: Internal CMake error, TryCompile configure of cmake failed
-- Performing Test PASTIX_TEST_RUNS - Failed
-- PaStiX could not be found. Be sure to set PASTIX_DIR. (missing: PASTIX_TEST_RUNS)

Dorsal has built pastix:

martinal@bigblue:~$ ls opt/fenics/dorsal-unstable/lib/libpastix
libpastix_32bit_mpi_smp_nobubble_int32_double_real_scotch_i686_pc_linux.a libpastix_murge_32bit_mpi_smp_nobubble_int32_double_real_scotch_i686_pc_linux.a
libpastix.a libpastix_murge.a

I do not really care if I get pastix or not, but this seems to be
a bug either in dorsal or the dolfin configuration system.

Revision history for this message
Garth Wells (garth-wells) wrote : Re: [Bug 894134] [NEW] Cmake error when "Performing Test PASTIX_TEST_RUNS" in dolfin unstable build

Dorsal should not be building PaStiX. It is seriously experimental.

Dorsal should not let PETSc build PaStiX because the PETSc 3.2 build
of PaStiX and the PETSc 3.2 interface to PaStiX are broken.

Garth

On 23 November 2011 19:57, Martin Sandve Alnæs
<email address hidden> wrote:
> Public bug reported:
>
> Trying to build latest fenics unstable with dorsal on our cluster
> bigblue using ubuntu 10.04, I get this:
>
>
> -- Performing Test PASTIX_TEST_RUNS
> CMake Error: The following variables are used in this project, but they are set to NOTFOUND.
> Please set them or make sure they are set and tested correctly in the CMake files:
> HWLOC_LIBRARY
>    linked by target "cmTryCompileExec" in directory /home/martinal/opt/fenics/dorsal-unstable-src/dolfin/dorsal_build_dir/CMakeFiles/CMakeTmp
>
> CMake Error: Internal CMake error, TryCompile configure of cmake failed
> -- Performing Test PASTIX_TEST_RUNS - Failed
> -- PaStiX could not be found. Be sure to set PASTIX_DIR. (missing:  PASTIX_TEST_RUNS)
>
>
> Dorsal has built pastix:
>
> martinal@bigblue:~$ ls opt/fenics/dorsal-unstable/lib/libpastix
> libpastix_32bit_mpi_smp_nobubble_int32_double_real_scotch_i686_pc_linux.a        libpastix_murge_32bit_mpi_smp_nobubble_int32_double_real_scotch_i686_pc_linux.a
> libpastix.a                                                                      libpastix_murge.a
>
>
> I do not really care if I get pastix or not, but this seems to be
> a bug either in dorsal or the dolfin configuration system.
>
> ** Affects: dorsal
>     Importance: Undecided
>         Status: New
>
> --
> You received this bug notification because you are a member of Dorsal
> Core Team, which is subscribed to Dorsal.
> https://bugs.launchpad.net/bugs/894134
>
> Title:
>  Cmake error when "Performing Test PASTIX_TEST_RUNS" in dolfin unstable
>  build
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/dorsal/+bug/894134/+subscriptions
>

Revision history for this message
Anders Logg (logg) wrote :

On Wed, Nov 23, 2011 at 08:17:10PM -0000, Garth Wells wrote:
> Dorsal should not be building PaStiX. It is seriously experimental.

I don't see a problem with having a pastix.package in Dorsal with the
best possible flags (based on the collective experience of FEniCS
developers). Then anyone can experimentally add it to their build.

--
Anders

> Dorsal should not let PETSc build PaStiX because the PETSc 3.2 build
> of PaStiX and the PETSc 3.2 interface to PaStiX are broken.
>
> Garth
>
> On 23 November 2011 19:57, Martin Sandve Alnæs
> <email address hidden> wrote:
> > Public bug reported:
> >
> > Trying to build latest fenics unstable with dorsal on our cluster
> > bigblue using ubuntu 10.04, I get this:
> >
> >
> > -- Performing Test PASTIX_TEST_RUNS
> > CMake Error: The following variables are used in this project, but they are set to NOTFOUND.
> > Please set them or make sure they are set and tested correctly in the CMake files:
> > HWLOC_LIBRARY
> >    linked by target "cmTryCompileExec" in directory /home/martinal/opt/fenics/dorsal-unstable-src/dolfin/dorsal_build_dir/CMakeFiles/CMakeTmp
> >
> > CMake Error: Internal CMake error, TryCompile configure of cmake failed
> > -- Performing Test PASTIX_TEST_RUNS - Failed
> > -- PaStiX could not be found. Be sure to set PASTIX_DIR. (missing:  PASTIX_TEST_RUNS)
> >
> >
> > Dorsal has built pastix:
> >
> > martinal@bigblue:~$ ls opt/fenics/dorsal-unstable/lib/libpastix
> > libpastix_32bit_mpi_smp_nobubble_int32_double_real_scotch_i686_pc_linux.a        libpastix_murge_32bit_mpi_smp_nobubble_int32_double_real_scotch_i686_pc_linux.a
> > libpastix.a                                                                      libpastix_murge.a
> >
> >
> > I do not really care if I get pastix or not, but this seems to be
> > a bug either in dorsal or the dolfin configuration system.
> >
> > ** Affects: dorsal
> >     Importance: Undecided
> >         Status: New
> >
> >
> > Title:
> >  Cmake error when "Performing Test PASTIX_TEST_RUNS" in dolfin unstable
> >  build
> >
> > To manage notifications about this bug go to:
> > https://bugs.launchpad.net/dorsal/+bug/894134/+subscriptions
> >
>

Revision history for this message
Garth Wells (garth-wells) wrote :

On 23 November 2011 20:46, Anders Logg <email address hidden> wrote:
> On Wed, Nov 23, 2011 at 08:17:10PM -0000, Garth Wells wrote:
>> Dorsal should not be building PaStiX. It is seriously experimental.
>
> I don't see a problem with having a pastix.package in Dorsal with the
> best possible flags (based on the collective experience of FEniCS
> developers). Then anyone can experimentally add it to their build.
>

Feel free then to fix and expand FindPaStiX.cmake. I'm not going to
even look at it for some time.

Garth

> --
> Anders
>
>
>> Dorsal should not let PETSc build PaStiX because the PETSc 3.2 build
>> of PaStiX and the PETSc 3.2 interface to PaStiX are broken.
>>
>> Garth
>>
>> On 23 November 2011 19:57, Martin Sandve Alnæs
>> <email address hidden> wrote:
>> > Public bug reported:
>> >
>> > Trying to build latest fenics unstable with dorsal on our cluster
>> > bigblue using ubuntu 10.04, I get this:
>> >
>> >
>> > -- Performing Test PASTIX_TEST_RUNS
>> > CMake Error: The following variables are used in this project, but they are set to NOTFOUND.
>> > Please set them or make sure they are set and tested correctly in the CMake files:
>> > HWLOC_LIBRARY
>> >    linked by target "cmTryCompileExec" in directory /home/martinal/opt/fenics/dorsal-unstable-src/dolfin/dorsal_build_dir/CMakeFiles/CMakeTmp
>> >
>> > CMake Error: Internal CMake error, TryCompile configure of cmake failed
>> > -- Performing Test PASTIX_TEST_RUNS - Failed
>> > -- PaStiX could not be found. Be sure to set PASTIX_DIR. (missing:  PASTIX_TEST_RUNS)
>> >
>> >
>> > Dorsal has built pastix:
>> >
>> > martinal@bigblue:~$ ls opt/fenics/dorsal-unstable/lib/libpastix
>> > libpastix_32bit_mpi_smp_nobubble_int32_double_real_scotch_i686_pc_linux.a        libpastix_murge_32bit_mpi_smp_nobubble_int32_double_real_scotch_i686_pc_linux.a
>> > libpastix.a                                                                      libpastix_murge.a
>> >
>> >
>> > I do not really care if I get pastix or not, but this seems to be
>> > a bug either in dorsal or the dolfin configuration system.
>> >
>> > ** Affects: dorsal
>> >     Importance: Undecided
>> >         Status: New
>> >
>> >
>> > Title:
>> >  Cmake error when "Performing Test PASTIX_TEST_RUNS" in dolfin unstable
>> >  build
>> >
>> > To manage notifications about this bug go to:
>> > https://bugs.launchpad.net/dorsal/+bug/894134/+subscriptions
>> >
>>
>
> --
> You received this bug notification because you are a member of Dorsal
> Core Team, which is subscribed to Dorsal.
> https://bugs.launchpad.net/bugs/894134
>
> Title:
>  Cmake error when "Performing Test PASTIX_TEST_RUNS" in dolfin unstable
>  build
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/dorsal/+bug/894134/+subscriptions
>

Revision history for this message
Anders Logg (logg) wrote :

On Wed, Nov 23, 2011 at 08:58:33PM -0000, Garth Wells wrote:
> On 23 November 2011 20:46, Anders Logg <email address hidden> wrote:
> > On Wed, Nov 23, 2011 at 08:17:10PM -0000, Garth Wells wrote:
> >> Dorsal should not be building PaStiX. It is seriously experimental.
> >
> > I don't see a problem with having a pastix.package in Dorsal with the
> > best possible flags (based on the collective experience of FEniCS
> > developers). Then anyone can experimentally add it to their build.
> >
>
> Feel free then to fix and expand FindPaStiX.cmake. I'm not going to
> even look at it for some time.

Me neither. I'm just saying that if someone (not me) wants to build
PaStiX and share their experiences by putting it into Dorsal, that's
good (as long as it's not built by default).

--
Anders

> Garth
>
> >
> >
> >> Dorsal should not let PETSc build PaStiX because the PETSc 3.2 build
> >> of PaStiX and the PETSc 3.2 interface to PaStiX are broken.
> >>
> >> Garth
> >>
> >> On 23 November 2011 19:57, Martin Sandve Alnæs
> >> <email address hidden> wrote:
> >> > Public bug reported:
> >> >
> >> > Trying to build latest fenics unstable with dorsal on our cluster
> >> > bigblue using ubuntu 10.04, I get this:
> >> >
> >> >
> >> > -- Performing Test PASTIX_TEST_RUNS
> >> > CMake Error: The following variables are used in this project, but they are set to NOTFOUND.
> >> > Please set them or make sure they are set and tested correctly in the CMake files:
> >> > HWLOC_LIBRARY
> >> >    linked by target "cmTryCompileExec" in directory /home/martinal/opt/fenics/dorsal-unstable-src/dolfin/dorsal_build_dir/CMakeFiles/CMakeTmp
> >> >
> >> > CMake Error: Internal CMake error, TryCompile configure of cmake failed
> >> > -- Performing Test PASTIX_TEST_RUNS - Failed
> >> > -- PaStiX could not be found. Be sure to set PASTIX_DIR. (missing:  PASTIX_TEST_RUNS)
> >> >
> >> >
> >> > Dorsal has built pastix:
> >> >
> >> > martinal@bigblue:~$ ls opt/fenics/dorsal-unstable/lib/libpastix
> >> > libpastix_32bit_mpi_smp_nobubble_int32_double_real_scotch_i686_pc_linux.a        libpastix_murge_32bit_mpi_smp_nobubble_int32_double_real_scotch_i686_pc_linux.a
> >> > libpastix.a                                                                      libpastix_murge.a
> >> >
> >> >
> >> > I do not really care if I get pastix or not, but this seems to be
> >> > a bug either in dorsal or the dolfin configuration system.
> >> >
> >> > ** Affects: dorsal
> >> >     Importance: Undecided
> >> >         Status: New
> >> >
> >> >
> >> > Title:
> >> >  Cmake error when "Performing Test PASTIX_TEST_RUNS" in dolfin unstable
> >> >  build
> >> >
> >> > To manage notifications about this bug go to:
> >> > https://bugs.launchpad.net/dorsal/+bug/894134/+subscriptions
> >> >
> >>
> >
> >
> > Title:
> >  Cmake error when "Performing Test PASTIX_TEST_RUNS" in dolfin unstable
> >  build
> >
> > To manage notifications about this bug go to:
> > https://bugs.launchpad.net/dorsal/+bug/894134/+subscriptions
> >
>

Revision history for this message
Harish Narayanan (hnarayanan) wrote :

On 11/23/11 9:17 PM, Garth Wells wrote:
> Dorsal should not be building PaStiX. It is seriously experimental.
>
> Dorsal should not let PETSc build PaStiX because the PETSc 3.2 build
> of PaStiX and the PETSc 3.2 interface to PaStiX are broken.

I think you added PaStiX to Dorsal via PETSc. Was this done earlier (pre
PETSc 3.2) when it wasn't broken?

Harish

Revision history for this message
Garth Wells (garth-wells) wrote :

On 23 November 2011 21:18, Harish Narayanan <email address hidden> wrote:
> On 11/23/11 9:17 PM, Garth Wells wrote:
>> Dorsal should not be building PaStiX. It is seriously experimental.
>>
>> Dorsal should not let PETSc build PaStiX because the PETSc 3.2 build
>> of PaStiX and the PETSc 3.2 interface to PaStiX are broken.
>
> I think you added PaStiX to Dorsal via PETSc. Was this done earlier (pre
> PETSc 3.2) when it wasn't broken?
>

It wasn't broken PETSc pre-3.2, but should now be removed.

Garth

> Harish
>
> --
> You received this bug notification because you are a member of Dorsal
> Core Team, which is subscribed to Dorsal.
> https://bugs.launchpad.net/bugs/894134
>
> Title:
>  Cmake error when "Performing Test PASTIX_TEST_RUNS" in dolfin unstable
>  build
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/dorsal/+bug/894134/+subscriptions
>

Revision history for this message
Harish Narayanan (hnarayanan) wrote :

I've removed pastix support from petsc.

Changed in dorsal:
status: New → Fix Committed
importance: Undecided → High
assignee: nobody → Harish Narayanan (hnarayanan)
milestone: none → 1.0
Changed in dorsal:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers